## com.sun.jersey.spi.container
Interface ContainerRequestFilter

All Known Implementing Classes:
  CsrfProtectionFilter, GZIPContentEncodingFilter, LoggingFilter, PostReplaceFilter, UriConnegFilter

    public interface ContainerRequestFilter

A filter for filtering a request.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  `com.sun.jersey.api.container.filter`

Method Summary
`ContainerRequest` | `filter(ContainerRequest request)` Filter the request.

Method Detail

### filter

    ContainerRequest filter(ContainerRequest request)

  Filter the request.

  An implementation may modify the state of the request or create a new instance.

  Parameters:
    `request` - the request.
  Returns:
    the request.

Copyright © 2017 Oracle Corporation. All Rights Reserved.